#include "al/sign.h"

void *sign_ctx_init()
{
  return NULL;
}

void *sign_gen_init()
{
  return NULL;
}

void *sign_ref_init()
{
  return NULL;
}

void sign_update(void *ctx, uint32_t *addr, size_t size)
{

}

void sign_set(void *ctx, void *sign)
{
}

void sign_free(void *ctx, void *sign)
{
}

void sign_get_ref(void *sign)
{
}

bool sign_compare(void *sign_ref, void *sign_gen)
{
  return true;
}
